## ros-melodic-dynamic-reconfigure 1.6.3

=== debian/changelog ===
ros-melodic-dynamic-reconfigure (1.6.3-1stretch) stretch; urgency=high

  * Revert #140 <https://github.com/ros/dynamic_reconfigure/issues/140> (#152 <https://github.com/ros/dynamic_reconfigure/issues/152>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Thu, 19 Mar 2020 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.6.2-1stretch) stretch; urgency=high

  * Set right order of SYSTEM/BEFORE options in dynamic_reconfigure-macros.cmake. Fix #150 <https://github.com/ros/dynamic_reconfigure/issues/150> (#151 <https://github.com/ros/dynamic_reconfigure/issues/151>)
  * Contributors: Alexander

 -- Michael Carroll <michael@openrobotics.org>  Thu, 19 Mar 2020 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.6.1-1stretch) stretch; urgency=high

  * Use PYTHON_EXECUTABLE to generate config headers. (#146 <https://github.com/ros/dynamic_reconfigure/issues/146>)
  * Python3 compatibility (#135 <https://github.com/ros/dynamic_reconfigure/issues/135>)
  * Use system on gen headers (#140 <https://github.com/ros/dynamic_reconfigure/issues/140>)
  * Fix GCC8 error for unnecessary parentheses (#132 <https://github.com/ros/dynamic_reconfigure/issues/132>)
  * fix generate_dynamic_reconfigure_options (#10 <https://github.com/ros/dynamic_reconfigure/issues/10>) (#134 <https://github.com/ros/dynamic_reconfigure/issues/134>)
  * Make Michael Carroll the maintainer (#125 <https://github.com/ros/dynamic_reconfigure/issues/125>)
  * Contributors: Christopher Wecht, Markus Grimm, Michael Carroll, Mikael Arguedas, Nicolas Limpert, Sean Yen [MSFT], Victor Lopez

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 Mar 2020 06:00:00 -0000

ros-melodic-dynamic-reconfigure (1.6.0-1stretch) stretch; urgency=high

  * fix check preventing range for string and bool parameters (#122 <https://github.com/ros/dynamic_reconfigure/issues/122>)
  * Fix build issue on Windows (#114 <https://github.com/ros/dynamic_reconfigure/issues/114>)
  * Contributors: Johnson Shih, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 02 Oct 2018 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.50-1stretch) stretch; urgency=high

  * final-keyword (#113 <https://github.com/ros/dynamic_reconfigure/issues/113>)
    * Add final keyword to child class since parent has virtual methods and grand parent doesn't have a virtual destructor. This allows the code to be compiled by clang version 6.0 and above.
  * [indentation fixups]
    * Use textwrap dedent for multiline strings
    * Remove extra indentation in wikidoc
    * Use textwrap.dedent to form the error message
  * [test fix] call shutdown to prevent test from hanging (#119 <https://github.com/ros/dynamic_reconfigure/issues/119>)
  * Modernize Python code (#102 <https://github.com/ros/dynamic_reconfigure/issues/102>)
    * Use new-style classes
    * Use with statement to ensure files are closed
  * Python 3 compatibility (#105 <https://github.com/ros/dynamic_reconfigure/issues/105>)
    * some randon python cleanup
    * remove iter* method for their 2/3 compatible equivalent
  * Contributors: Eric Wieser, Jason Mercer, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 02 Oct 2018 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.49-1stretch) stretch; urgency=high

  * Pep8 (#93 <https://github.com/ros/dynamic_reconfigure/issues/93>)
  * Python3 use print function and not statement (#92 <https://github.com/ros/dynamic_reconfigure/issues/92>)
  * add shebang line in setup_custom_pythonpath.sh.in template (#91 <https://github.com/ros/dynamic_reconfigure/issues/91>)
  * switch to package format 2 (#89 <https://github.com/ros/dynamic_reconfigure/issues/89>)
  * remove trailing whitespaces (#88 <https://github.com/ros/dynamic_reconfigure/issues/88>)
  * Reraising DynamicReconfigureCallbackException in case of a failing service call (#87 <https://github.com/ros/dynamic_reconfigure/issues/87>)
  * Contributors: Arne Hitzmann, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Jul 2017 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.48-1stretch) stretch; urgency=high

  * [Bugfix] dont enforce ROS names for constants (#84 <https://github.com/ros/dynamic_reconfigure/issues/84>)
  * [Compiler warnings] avoid unused-parameter compiler warnings in specialized ParamDescription<std::string>::clamp() (#83 <https://github.com/ros/dynamic_reconfigure/issues/83>)
  * Contributors: Johannes Meyer, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 07 Apr 2017 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.47-1stretch) stretch; urgency=high

  * reset received_configuration_ for every request sent (#82 <https://github.com/ros/dynamic_reconfigure/issues/82>)
  * Rename arguments (with a_ prefix) to avoid Wshadow warnings. (#80 <https://github.com/ros/dynamic_reconfigure/issues/80>)
    handle infinity in python generation, fixes (#77 <https://github.com/ros/dynamic_reconfigure/issues/77>)
  * Add a c++ Dynamic Reconfigure Client (#78 <https://github.com/ros/dynamic_reconfigure/issues/78>)
  * Enforce valid descriptions in cfg files (#74 <https://github.com/ros/dynamic_reconfigure/issues/74>)
  * Fix callback returned by get_description_callback (#73 <https://github.com/ros/dynamic_reconfigure/issues/73>) from ros/description_cb
  * Contributors: Jeff Eberl, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.46-1stretch) stretch; urgency=high

  * Add missing group params to wikidoc (#68 <https://github.com/ros/dynamic_reconfigure/issues/68>)
    The catkin generated wikidoc files were missing parameters defined as groups.
    Both the Dox and UsageDox file were generated correctly, but the wikidoc was
    using the wrong method to traverse all groups.
  * Contributors: Mark Horn

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 15 Nov 2016 06:00:00 -0000


