=== debian/control ===
Source: ros-melodic-dynamic-reconfigure
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin (>= 0.5.87), ros-melodic-cpp-common, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: http://ros.org/wiki/dynamic_reconfigure
Standards-Version: 3.9.2

Package: ros-melodic-dynamic-reconfigure
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rosservice, ros-melodic-std-msgs
Description: The dynamic_reconfigure package provides a means to update parameters at runtime without having to restart the node.
